System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The pixel format defines the number of bits of memory associated with one pixel of data. The format also defines the order of the color components within a single pixel of data.

PixelFormat48bppRGB, PixelFormat64bppARGB, and PixelFormat64bppPARGB use 16 bits per color component (channel). GDI+ version 1.0 and 1.1 can read 16-bits-per-channel images, but such images are converted to an 8-bits-per-channel format for processing, displaying, and saving. Each 16-bit color channel can hold a value in the range 0 through 2^13.

Some of the pixel formats contain premultiplied color values. Premultiplied means that the color values have already been multiplied by an alpha value.

Specifies the format of the color data for each pixel in the image.

- Field
  System.Drawing.Imaging.PixelFormat To be added

  The pixel data contains alpha values that are not premultiplied.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  The default pixel format of 32 bits per pixel. The format specifies 24-bit color depth and an 8-bit alpha channel.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  No pixel format is specified.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Reserved.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  The pixel format is 16 bits per pixel. The color information specifies 32,768 shades of color, of which 5 bits are red, 5 bits are green, 5 bits are blue, and 1 bit is alpha.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  The pixel format is 16 bits per pixel. The color information specifies 65536 shades of gray.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 16 bits per pixel; 5 bits each are used for the red, green, and blue components. The remaining bit is not used.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 16 bits per pixel; 5 bits are used for the red component, 6 bits are used for the green component, and 5 bits are used for the blue component.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the pixel format is 1 bit per pixel and that it uses indexed color. The color table therefore has two colors in it.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 24 bits per pixel; 8 bits each are used for the red, green, and blue components.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 32 bits per pixel; 8 bits each are used for the alpha, red, green, and blue components.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 32 bits per pixel; 8 bits each are used for the alpha, red, green, and blue components. The red, green, and blue components are premultiplied, according to the alpha component.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 32 bits per pixel; 8 bits each are used for the red, green, and blue components. The remaining 8 bits are not used.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 48 bits per pixel; 16 bits each are used for the red, green, and blue components.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 4 bits per pixel, indexed.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 64 bits per pixel; 16 bits each are used for the alpha, red, green, and blue components.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 64 bits per pixel; 16 bits each are used for the alpha, red, green, and blue components. The red, green, and blue components are premultiplied according to the alpha component.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  Specifies that the format is 8 bits per pixel, indexed. The color table therefore has 256 colors in it.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  The pixel data contains GDI colors.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  The pixel data contains color-indexed values, which means the values are an index to colors in the system color table, as opposed to individual color values.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  The maximum value for this enumeration.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  The pixel format contains premultiplied alpha values.

  1.0.5000.0
  2.0.0.0
- Field
  System.Drawing.Imaging.PixelFormat To be added

  The pixel format is undefined.

  1.0.5000.0
  2.0.0.0